#pragma once
#include "TilePoint.h"
#include "ByteArray.h"

class CTilePointsTable  
{
public: 
	int GetVersion();
	void SetVersion(int iVersion);
	int m_iUnsupportedBufferSize;
	CByteArray m_baUnsupportedBuffer;

	void ReplaceGroundType(int tileold, int tilenew, bool selectedonly= false);
	void UnselectAll();
	CTilePoint GetTilePoint(int num);
	void SetTilePoint(int num, CTilePoint tilepoint);
	void ClearTable();
	int GetWidth();
	int GetHeight();
	void SetSize(int width, int height = 1);
	CTilePointsTable(int width, int height =  1);
	CTilePointsTable();
	virtual ~CTilePointsTable();

protected:
	int m_iW3EVersion;
	int m_width;
	int m_height;
	CTilePoint* m_pTilePoints;

};